summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDoug Freed <dwfreed@mtu.edu>2016-12-08 19:38:18 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-12-10 18:19:46 +0100
commit95a4873daac0e8e715f0a95b8b487920a9dfa275 (patch)
tree67c237b57e75ae4691603462d8c66d1d22a7393c /eclass
parentdev-perl/Time-Moment: Bump to version 0.410.0 (diff)
downloadgentoo-95a4873daac0e8e715f0a95b8b487920a9dfa275.tar.gz
gentoo-95a4873daac0e8e715f0a95b8b487920a9dfa275.tar.bz2
gentoo-95a4873daac0e8e715f0a95b8b487920a9dfa275.zip
depend.apache.eclass: Replace build_with_use with has_version, disallow for EAPIs without use dependencies
There are no EAPI=0 / EAPI=1 ebuilds in the tree that are affected.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/depend.apache.eclass18
1 files changed, 15 insertions, 3 deletions
diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index b69c2ec55b5..f0848a63d18 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -290,7 +290,13 @@ has_apache() {
has_apache_threads() {
debug-print-function $FUNCNAME $*
- if ! built_with_use www-servers/apache threads; then
+ case ${EAPI:-0} in
+ 0|1)
+ die "depend.apache.eclass: has_apache_threads is not supported for EAPI=${EAPI:-0}"
+ ;;
+ esac
+
+ if ! has_version 'www-servers/apache[threads]'; then
return
fi
@@ -313,14 +319,20 @@ has_apache_threads() {
has_apache_threads_in() {
debug-print-function $FUNCNAME $*
- if ! built_with_use www-servers/apache threads; then
+ case ${EAPI:-0} in
+ 0|1)
+ die "depend.apache.eclass: has_apache_threads_in is not supported for EAPI=${EAPI:-0}"
+ ;;
+ esac
+
+ if ! has_version 'www-servers/apache[threads]'; then
return
fi
local myforeign="$1"
local myflag="${2:-threads}"
- if ! built_with_use ${myforeign} ${myflag}; then
+ if ! has_version "${myforeign}[${myflag}]"; then
echo
eerror "You need to enable USE flag '${myflag}' in ${myforeign} to"
eerror "build a thread-safe version of ${CATEGORY}/${PN} for use"